Description

Currently, contentlets mark their content as safe and even compile it as a template. There is no way for template authors to prevent
this. It's legacy code from before the include_string tag; now that we have that, we can and should remove the automatic compilation
and the mark_safe call.

Associated revisions

Revision 34a9cd2a - 06/26/2011 06:29 PM - Stephen Burrows

Removed automatic interpretation of contentlets as templates as per issue #168.

Revision 93eac03c - 06/29/2011 11:17 AM - Joseph Spiros

Merge branch 'develop' of git://github.com/melinath/philo into develop

e 'develop' of git://github.com/melinath/philo:
Added ordering to NavigationltemInline and removed the extra form a) because it's unnecessary, and b) to avoid grappelli issue #337.
Added memoization to TargetURLModel.get_target_url.
Removed unnecessary foreign key evaluations from MultiView subclass urlpatterns and get_reverse_params().
Cleaned up shipherd docs.
Added philo-root reversal caching to Node.construct_url.
Pre-fetching the contentreference content may have been premature optimization. Switched to a simple fetch, as it seems to run slightly faster.
Minor correction to ContainerContext.get_references().
Moved caching of contentlets/contentreferences so that (for example) a page with only contentlets will not fetch content references. Set up
content references to pre-fetch all related pieces of content to save queries.
Removed template container discovery in favor of (potentially) larger queries.
Moved container finding code into philo/utils/templates, along with template utils from philo/utils. Moved initial container fetching code for
container template tags from ContainerContext.__init__ to ContainerNode.get_container_content and cleaned things up a little.
Removed automatic interpretation of contentlets as templates as per issue #168.
Tweaked the FeedView API slightly to pass the object from get_object into the get_items callback. This allows for FeedViews that do not have
FK relationships to the object.
A fair amount of effort is wasted getting container content. Initial commit of a branch to fix that. There's a large speedup on container fetching,
but the container detection algorithm is prohibitively slow. Should be sped up or bypassed.
Added link generation example, and fixed a typo.
Note about context processor in Shipherd tutorial.

History

#1 - 06/26/2011 06:24 PM - Stephen Burrows

- Status changed from New to In Progress

Included in commit 34a9cd2a670e84771d1d54e6fd6af87bcb1c279c.

#2 - 07/06/2011 01:20 PM - Stephen Burrows

- Status changed from In Progress to Resolved

Merged into develop with commit 93eac03cfd379525b6cf41825b14a5d37cd03505.
